Skip to main content
`Ctrl`+`K`

# DMInitializePackage

This function initializes everything in the `DM` package. It is called from `PetscDLLibraryRegister_petscdm()` when using dynamic libraries, and on the first call to `DMCreate()` or `DMDACreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode DMInitializePackage(void)

## See Also

`PetscInitialize()`

## Level

developer

## Location

src/dm/interface/dlregisdmdm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages